# Module: montage/core/converter/trim-converter

### Requires

- module:montage/core/converter/converter

### Classes

ExpressionConverter
TrimConverter

### Methods

#### (inner) convert(v)

Trims the provided string and returns the new string.

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | string | The string to trim.

Source:
  - core/converter/trim-converter.js, line 60

##### Returns:

this._convert(v)

#### (inner) revert(v)

Reverts the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | string | The string to revert.

Source:
  - core/converter/trim-converter.js, line 70

##### Returns:

this._convert(v)

### Requires

- module:montage/core/converter/converter

### Classes

ExpressionConverter
TrimConverter

### Methods

#### (inner) convert(v)

Trims the provided string and returns the new string.

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | string | The string to trim.

Source:
  - core/converter/trim-converter.js, line 60

##### Returns:

this._convert(v)

#### (inner) revert(v)

Reverts the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | string | The string to revert.

Source:
  - core/converter/trim-converter.js, line 70

##### Returns:

this._convert(v)